"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "WireguardConfig", {
  enumerable: true,
  get: function () {
    return circular.WireguardConfig;
  }
});
Object.defineProperty(exports, "WireguardIniConfig", {
  enumerable: true,
  get: function () {
    return circular.WireguardIniConfig;
  }
});
exports.fromConfigFile = void 0;
var FileSystem = _interopRequireWildcard(require("@effect/platform/FileSystem"));
var Effect = _interopRequireWildcard(require("effect/Effect"));
var Schema = _interopRequireWildcard(require("effect/Schema"));
var circular = _interopRequireWildcard(require("./internal/circular.js"));
function _interopRequireWildcard(e, t) { if ("function" == typeof WeakMap) var r = new WeakMap(), n = new WeakMap(); return (_interopRequireWildcard = function (e, t) { if (!t && e && e.__esModule) return e; var o, i, f = { __proto__: null, default: e }; if (null === e || "object" != typeof e && "function" != typeof e) return f; if (o = t ? n : r) { if (o.has(e)) return o.get(e); o.set(e, f); } for (const t in e) "default" !== t && {}.hasOwnProperty.call(e, t) && ((i = (o = Object.defineProperty) && Object.getOwnPropertyDescriptor(e, t)) && (i.get || i.set) ? o(f, t, i) : f[t] = e[t]); return f; })(e, t); }
/**
 * Wireguard config schema definitions
 *
 * @since 1.0.0
 */

/**
 * Loads a wireguard interface configuration from an INI file.
 *
 * @since 1.0.0
 * @category Constructors
 * @param file - The path to the INI file.
 */
const fromConfigFile = file => Effect.gen(function* () {
  const fs = yield* FileSystem.FileSystem;
  const fsConfig = yield* fs.readFileString(file);
  const iniConfigEncoded = yield* Schema.encode(circular.WireguardIniConfig)(fsConfig);
  const config = yield* Schema.decode(circular.WireguardConfig)(iniConfigEncoded);
  return config;
});
exports.fromConfigFile = fromConfigFile;
//# sourceMappingURL=WireguardConfig.js.map