"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.userspaceContact = exports.WindowsInterfaceNameRegExp = exports.SupportedPlatforms = exports.SupportedArchitectures = exports.LinuxInterfaceNameRegExp = exports.DarwinInterfaceNameRegExp = void 0;
var NodeSocket = _interopRequireWildcard(require("@effect/platform-node/NodeSocket"));
var Chunk = _interopRequireWildcard(require("effect/Chunk"));
var Effect = _interopRequireWildcard(require("effect/Effect"));
var Function = _interopRequireWildcard(require("effect/Function"));
var Option = _interopRequireWildcard(require("effect/Option"));
var Schema = _interopRequireWildcard(require("effect/Schema"));
var Sink = _interopRequireWildcard(require("effect/Sink"));
var Stream = _interopRequireWildcard(require("effect/Stream"));
var String = _interopRequireWildcard(require("effect/String"));
var WireguardErrors = _interopRequireWildcard(require("../WireguardErrors.js"));
function _interopRequireWildcard(e, t) { if ("function" == typeof WeakMap) var r = new WeakMap(), n = new WeakMap(); return (_interopRequireWildcard = function (e, t) { if (!t && e && e.__esModule) return e; var o, i, f = { __proto__: null, default: e }; if (null === e || "object" != typeof e && "function" != typeof e) return f; if (o = t ? n : r) { if (o.has(e)) return o.get(e); o.set(e, f); } for (const t in e) "default" !== t && {}.hasOwnProperty.call(e, t) && ((i = (o = Object.defineProperty) && Object.getOwnPropertyDescriptor(e, t)) && (i.get || i.set) ? o(f, t, i) : f[t] = e[t]); return f; })(e, t); }
/** @internal */
const SupportedArchitectures = exports.SupportedArchitectures = ["x64", "arm64"];
/** @internal */
const SupportedPlatforms = exports.SupportedPlatforms = ["linux", "darwin", "win32"];
/** @internal */
const LinuxInterfaceNameRegExp = exports.LinuxInterfaceNameRegExp = /^wg\d+$/;
/** @internal */
const DarwinInterfaceNameRegExp = exports.DarwinInterfaceNameRegExp = /^utun\d+$/;
/** @internal */
const WindowsInterfaceNameRegExp = exports.WindowsInterfaceNameRegExp = /^eth\d+$/;
/** @internal */
const userspaceContact = (wireguardInterface, content) => Function.pipe(Stream.make(content), Stream.pipeThroughChannelOrFail(NodeSocket.makeNetChannel({
  path: wireguardInterface.SocketLocation
})), Stream.decodeText(), Stream.flatMap(Function.compose(String.linesIterator, Stream.fromIterable)), Stream.map(String.trimEnd), Stream.filter(String.isNonEmpty), Stream.run(Sink.collectAll()), Effect.tap(Function.flow(Chunk.last, Option.getOrThrow, Schema.decodeUnknown(WireguardErrors.SuccessErrno))), Effect.map(Chunk.join("\n")));
exports.userspaceContact = userspaceContact;
//# sourceMappingURL=wireguardInterface.js.map