/**
 * Wireguard control mechanisms.
 *
 * @since 1.0.0
 */
import * as Layer from "effect/Layer";
import * as internal from "./internal/wireguardControl.js";
/**
 * @since 1.0.0
 * @category Type ids
 */
export const TypeId = internal.TypeId;
/**
 * @since 1.0.0
 * @category Tags
 */
export const WireguardControl = internal.WireguardControl;
/**
 * @since 1.0.0
 * @category Constructors
 */
export const makeBundledWgQuickLayer = internal.makeBundledWgQuickLayer;
/**
 * @since 1.0.0
 * @category Constructors
 */
export const makeUserspaceLayer = internal.makeUserspaceLayer;
/**
 * @since 1.0.0
 * @category Layers
 */
export const UserspaceLayer = /*#__PURE__*/Layer.sync(WireguardControl, makeUserspaceLayer);
/**
 * @since 1.0.0
 * @category Layers
 */
export const BundledWgQuickLayer = /*#__PURE__*/Layer.sync(WireguardControl, () => makeBundledWgQuickLayer({
  sudo: true
}));
//# sourceMappingURL=WireguardControl.js.map